Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6219 - /etc/protocols is missing entries for IPv6
Summary: /etc/protocols is missing entries for IPv6
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://www.isi.edu/in-notes/iana/assi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 04:08 UTC by rodrigc
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-29 21:36:20 UTC


Attachments (Terms of Use)

Description rodrigc 1999-10-22 04:08:42 UTC
/etc/protocols is missing entries for IPv6 protocol
numbers.  These entries are required for IPv6.

The entries needed are:
ipv6       41 IPv6       # IPv6
ipv6-route 43 IPv6-Route # Routing Header for IPv6
ipv6-frag  44 IPv6-Frag  # Fragment Header for IPv6
ipv6-crypt 50 IPv6-Crypt # Encryption Header for IPv6
ipv6-auth  51 IPv6-Auth  # Authentication Header for IPv6
ipv6-icmp  58 IPv6-ICMP  # ICMP for IPv6
ipv6-nonxt 59 IPv6-NoNxt # No Next Header for IPv6
ipv6-opts  60 IPv6-Opts  # Destination Options for IPv6

These protocol numbers are documented at
the Internet Assigned Numbers Authority (IANA):
http://www.isi.edu/in-notes/iana/assignments/protocol-numbers

Comment 1 Bill Nottingham 1999-10-29 21:36:59 UTC
Fixed in setup-2.0.6-1.


Note You need to log in before you can comment on or make changes to this bug.